<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="a497550a-31a5-4461-881f-71f5e2a04871" name="Default Changelist" comment="" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="CodeInsightWorkspaceSettings">
    <option name="optimizeImportsOnTheFly" value="true" />
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="ProjectId" id="1iPR1WtYbFaLrVzFWTm0TOqcnHj" />
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showExcludedFiles" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">
    <property name="RunOnceActivity.ShowReadmeOnStart" value="true" />
    <property name="SHARE_PROJECT_CONFIGURATION_FILES" value="true" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="aspect.path.notification.shown" value="true" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
    <property name="project.structure.last.edited" value="SDKs" />
    <property name="project.structure.proportion" value="0.0" />
    <property name="project.structure.side.proportion" value="0.2" />
    <property name="settings.editor.selected.configurable" value="editor.preferences.appearance" />
  </component>
  <component name="RunManager" selected="Application.Main">
    <configuration name="Main" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="main.Main" />
      <module name="project2" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="main.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="m" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <module name="project2" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="main.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <list>
      <item itemvalue="Application.m" />
      <item itemvalue="Application.Main" />
    </list>
    <recent_temporary>
      <list>
        <item itemvalue="Application.Main" />
        <item itemvalue="Application.m" />
      </list>
    </recent_temporary>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="a497550a-31a5-4461-881f-71f5e2a04871" name="Default Changelist" comment="" />
      <created>1601807025733</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1601807025733</updated>
      <workItem from="1601807027643" duration="328000" />
      <workItem from="1601814479722" duration="2552000" />
      <workItem from="1601824236902" duration="276000" />
    </task>
    <task id="LOCAL-00001" summary="sorting">
      <created>1601807307522</created>
      <option name="number" value="00001" />
      <option name="presentableId" value="LOCAL-00001" />
      <option name="project" value="LOCAL" />
      <updated>1601807307522</updated>
    </task>
    <task id="LOCAL-00002" summary="sorting with minimal swapping">
      <created>1601816862904</created>
      <option name="number" value="00002" />
      <option name="presentableId" value="LOCAL-00002" />
      <option name="project" value="LOCAL" />
      <updated>1601816862904</updated>
    </task>
    <task id="LOCAL-00003" summary="sorting with minimal swapping">
      <created>1601816892928</created>
      <option name="number" value="00003" />
      <option name="presentableId" value="LOCAL-00003" />
      <option name="project" value="LOCAL" />
      <updated>1601816892928</updated>
    </task>
    <option name="localTasksCounter" value="4" />
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="Vcs.Log.Tabs.Properties">
    <option name="TAB_STATES">
      <map>
        <entry key="MAIN">
          <value>
            <State>
              <option name="COLUMN_ORDER" />
            </State>
          </value>
        </entry>
      </map>
    </option>
  </component>
  <component name="VcsManagerConfiguration">
    <MESSAGE value="sorting" />
    <MESSAGE value="sorting with minimal swapping" />
    <option name="LAST_COMMIT_MESSAGE" value="sorting with minimal swapping" />
  </component>
  <component name="WindowStateProjectService">
    <state x="137" y="21" key="#com.intellij.execution.impl.EditConfigurationsDialog" timestamp="1601807121372">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state x="137" y="21" key="#com.intellij.execution.impl.EditConfigurationsDialog/0.0.1366.728@0.0.1366.728" timestamp="1601807121372" />
    <state x="314" y="62" key="CommitChangelistDialog2" timestamp="1601824517848">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state x="314" y="62" key="CommitChangelistDialog2/0.0.1366.728@0.0.1366.728" timestamp="1601824517848" />
    <state x="463" y="121" key="FileChooserDialogImpl" timestamp="1601817028055">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state x="463" y="121" key="FileChooserDialogImpl/0.0.1366.728@0.0.1366.728" timestamp="1601817028055" />
    <state width="1323" height="219" key="GridCell.Tab.0.bottom" timestamp="1601817086140">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state width="1323" height="219" key="GridCell.Tab.0.bottom/0.0.1366.728@0.0.1366.728" timestamp="1601817086140" />
    <state width="1323" height="219" key="GridCell.Tab.0.center" timestamp="1601817086140">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state width="1323" height="219" key="GridCell.Tab.0.center/0.0.1366.728@0.0.1366.728" timestamp="1601817086140" />
    <state width="1323" height="219" key="GridCell.Tab.0.left" timestamp="1601817086139">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state width="1323" height="219" key="GridCell.Tab.0.left/0.0.1366.728@0.0.1366.728" timestamp="1601817086139" />
    <state width="1323" height="219" key="GridCell.Tab.0.right" timestamp="1601817086140">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state width="1323" height="219" key="GridCell.Tab.0.right/0.0.1366.728@0.0.1366.728" timestamp="1601817086140" />
    <state x="275" y="99" key="Vcs.Push.Dialog.v2" timestamp="1601824311081">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state x="275" y="99" key="Vcs.Push.Dialog.v2/0.0.1366.728@0.0.1366.728" timestamp="1601824311081" />
    <state x="390" y="191" key="com.intellij.ide.util.TipDialog" timestamp="1601814479786">
      <screen x="0" y="0" width="1366" height="728" />
    </state>
    <state x="390" y="191" key="com.intellij.ide.util.TipDialog/0.0.1366.728@0.0.1366.728" timestamp="1601814479786" />
  </component>
</project>